package de.draegerit.lambda;

import java.util.Optional;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TestFindFirst extends LambdaTestCase {

  private static Logger logger = LoggerFactory.getLogger("TestFindFirst.class");

  @Test
  public void testFindFirstJava8() {
    Optional<String> name = names.stream().filter(n -> {
      return n.equalsIgnoreCase("Udo");
    }).findFirst();

    logger.info(name.get());
  }

  @Test
  public void testFindFirstJava() {
    for (String name : names) {
      if (name.equalsIgnoreCase("Udo")) {
        logger.info(name);
        break;
      }
    }
  }
}
