import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

import org.junit.Before;
import org.junit.Test;

public class TestTestObject {

	private static final String NAME1 = "Name1";
	private static final String NAME2 = "Name2";
	private static final String NAME3 = "Name3";
	private static final String NAME4 = "Name4";
	private static final String NAME5 = "Name5";

	private static final String NAME6 = "Name6";

	private List<String> names;
	private List<TestObject> testObjects;
	
	private boolean findName;

	@Before
	public void beforeTest() {
		names = new ArrayList<>();
		testObjects = new ArrayList<>();
		testObjects.add(new TestObject(NAME1));
		testObjects.add(new TestObject(NAME2));
		testObjects.add(new TestObject(NAME3));
		testObjects.add(new TestObject(NAME4));
		testObjects.add(new TestObject(NAME5));
	}

	@Test
	public void shouldBeFiltert() {
		names = testObjects.stream().map(TestObject::getName).collect(Collectors.toList());

		assertNotNull(names);
		assertTrue(!names.isEmpty());
		assertTrue(names.size() == 5);
	}

	@Test
	public void listContainsValue() {
		names = testObjects.stream().map(TestObject::getName).collect(Collectors.toList());
		boolean namesContainsName1 = names.stream().anyMatch(n -> n.equalsIgnoreCase(NAME1));
		assertTrue(namesContainsName1);
	}

	@Test
	public void listContainsValues() {
		names = testObjects.stream().map(TestObject::getName).collect(Collectors.toList());
		List<String> names2 = new ArrayList<>(names);
		assertTrue(names.equals(names2));
		names2.remove(NAME1);
		assertTrue(!names.equals(names2));
		names.forEach((name)->{
			findName = names2.stream().anyMatch(n -> n.equalsIgnoreCase(name)); 
			if(!findName) {
				System.out.println(name);
			} 			
		});
		
		System.out.println(findName);
				
	}
}



