package de.draegerit.lambda;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TestForEachSimple extends LambdaTestCase {

  private static Logger logger = LoggerFactory.getLogger("TestForEachSimple.class");

  @Test
  public void simpleForEachBeforeJava5() {
    for (int i = 0; i < names.size(); i++) {
      logger.info(names.get(i));
    }
  }

  @Test
  public void simpleForEachAfterJava5() {
    for (String name : names) {
      logger.info(name);
    }
  }

  @Test
  public void simpleForEachLambda() {
    names.forEach(name -> {
      logger.info(name);
    });
  }

}
